Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
chacha_sse2.cpp File Reference
`#include <botan/chacha.h>`
`#include <emmintrin.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | mm_rotl(r, n) _mm_or_si128(_mm_slli_epi32(r, n), _mm_srli_epi32(r, 32-n))

## Macro Definition Documentation

#define mm_rotl | ( |  | r,
|  |  | n
| ) |  | _mm_or_si128(_mm_slli_epi32(r, n), _mm_srli_epi32(r, 32-n))